> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List S3 buckets

> Returns the list of buckets for the storage in a wrapped response.

Response format:
count: total number of buckets (independent of pagination)
results: current page of buckets according to limit/offset

Deprecated: Use GET /v4/`object_storages`/{`storage_id`}/buckets/{`bucket_name`} for individual bucket details instead.



## OpenAPI

````yaml /api-reference/services_documented/object_storage_api.yaml get /storage/provisioning/v2/storage/{storage_id}/s3/buckets
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Object Storage API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Notifications
    x-displayName: Notifications
  - name: SSHKeys
    x-displayName: SSHKeys
  - name: Storage Locations
    x-displayName: Storage Locations
  - name: Storage
    x-displayName: Storage
  - name: Storage Statistics
    x-displayName: Storage Statistics
  - name: S3-Compatible Storage
    x-displayName: S3-Compatible Storage
  - name: SFTP Storage
    x-displayName: SFTP Storage
paths:
  /storage/provisioning/v2/storage/{storage_id}/s3/buckets:
    get:
      tags:
        - Storage
      summary: List S3 buckets
      description: >-
        Returns the list of buckets for the storage in a wrapped response.


        Response format:

        count: total number of buckets (independent of pagination)

        results: current page of buckets according to limit/offset


        Deprecated: Use GET
        /v4/`object_storages`/{`storage_id`}/buckets/{`bucket_name`} for
        individual bucket details instead.
      operationId: storageListBucketsHttpV2
      parameters:
        - name: offset
          in: query
          description: Number of records to skip before beginning to write in response.
          schema:
            minimum: 0
            type: integer
            format: uint64
        - name: limit
          in: query
          description: Max number of records in response
          schema:
            maximum: 1000
            minimum: 1
            type: integer
            format: uint64
            default: 10
        - name: storage_id
          in: path
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: StorageListBucketsEndpointResV2
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StorageListBucketsEndpointResV2'
        '400':
          description: ErrResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrResponse'
      deprecated: true
components:
  schemas:
    StorageListBucketsEndpointResV2:
      required:
        - count
        - results
      type: object
      properties:
        count:
          type: integer
          description: Total number of buckets
          format: int64
          example: 1
        results:
          type: array
          description: Current page of bucket results
          items:
            $ref: '#/components/schemas/BucketDtoV2'
      description: StorageListBucketsEndpointResV2 output
    ErrResponse:
      type: object
      properties:
        error:
          type: string
      description: ErrResponse is an error response
    BucketDtoV2:
      required:
        - name
      type: object
      properties:
        lifecycle:
          type: integer
          description: Lifecycle policy expiration days (zero if not set)
          format: int64
          example: 30
        name:
          type: string
          description: Name of the S3 bucket
          example: my-bucket
      description: BucketDtoV2 for response
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````